---
title: "One delivery's details"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/webhooks.deliveries_get
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# One delivery's details

One delivery with every attempt (status code, latency, error, start of the response, key ids used) and the signed body (fields the owner may no longer read removed).

One delivery with every attempt (status code, latency, error, start of the response, key ids used) and the signed body (fields the owner may no longer read removed).

## Overview

| Name | Value |
| --- | --- |
| Code | `webhooks.deliveries_get` |
| Scope needed | `webhooks.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Settings → Webhooks |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | Yes |   |
| `deliveryId` | `uuid` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/webhooks.deliveries_get \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000","deliveryId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `delivery` | `object` | Yes |
| `attempts` | `object[]` | Yes |
| `body` | `null \| text \| number \| object \| any[] \| true/false` | Yes |
| `body_bytes` | `null \| number` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "delivery": {
      "id": "00000000-0000-4000-8000-000000000000",
      "webhook_id_header": "text",
      "event_id": "00000000-0000-4000-8000-000000000000",
      "event_type": "text",
      "kind": "text",
      "status": "text",
      "attempts": 1,
      "next_attempt_at": "2026-10-22T12:00:00.000Z",
      "last_status_code": 1,
      "last_error_code": "text",
      "last_error_text": "text",
      "delivered_at": "2026-10-22T12:00:00.000Z",
      "finished_at": "2026-10-22T12:00:00.000Z",
      "cancel_reason": "text",
      "filter_reason": "text",
      "filter_reason_text": "text",
      "replay_id": "00000000-0000-4000-8000-000000000000",
      "redeliver_of": "text",
      "created_at": "2026-10-22T12:00:00.000Z"
    },
    "attempts": [
      {
        "error_hint": "text",
        "attempt_no": 1,
        "started_at": "2026-10-22T12:00:00.000Z",
        "duration_ms": 1,
        "status_code": 1,
        "error_code": "text",
        "error_text": "text",
        "response_snippet": "text",
        "key_ids": [
          "text"
        ]
      }
    ],
    "body": "text",
    "body_bytes": 1
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "webhooks.deliveries_get"`. Tool name when listed: `webhooks_deliveries_get`.
